var SockSugar = require("socksugar");

var server = new SockSugar({
	port: 8081
});

var sections = {};

server.on("connection", function(sock) {
	console.log("connection");
	sock.on("request", function(req) {
		var parts = req.url.split("/");
		var s = sections[parts[0]];

		if (s === undefined)
			return req.error("Not found");

		s(parts, req);
	});
});
